--[[
Author: Will Graham (wgraham@digipen.edu)

Copyright 2008-2009 DigiPen (USA) Corp.
]]--

--print("PlatformTestLevel_Init.lua")

StartPos = LvlLoader:GetInfo("playerStart01").Pos_
--print(StartPos.x, StartPos.y, StartPos.z)
cameraStartPos = StartPos;

EventManager:AddEvent(false, 0.0, "PlayerData:LockPlayer(Vector3D(0.0, 0.0, 0.0))")
EventManager:AddEvent(false, 0.0, "PlayerData:SetEmissiveColor(Vector3D(1.0, 0.0, 0.0), true)")
EventManager:AddEvent(false, 0.0, "PlayerData:ToggleLight(true)")
EventManager:AddEvent(false, 0.0, "PlayerData:SetRimColor(Vector3D(0.0, 0.3, 1.0), 1.0)")
--EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPosition(Vector3D(0.0, -50.0, 25.0), 0.2, true, true)");
DefaultCameraSpeed_2 = DefaultCameraSpeed + 0.03
EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPosition(DefaultCameraVec, DefaultCameraSpeed_2, DefaultCameraRelative, DefaultCameraFixed)")
EventManager:AddEvent(false, 0.0, "PlayerData.MoveSpeed_ = 750");
EventManager:AddEvent(false, 1.0, "PlayerData:UnlockPlayer()")

MinZ = -100000.0
KillsNeeded = 0